---
updatedAt: 2026-05-20T16:32:23.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Get the Protocols Overview

Returns a full list of all supported protocols and networks.


***

<Callout icon="💡" theme="default">
  ### **Compute Unit Value**: `1` (fixed)
</Callout>

***

> 👍 START HERE!
>
> Click **Try It!** to test the endpoint with the default values or customize your request by following these steps:
>
> 1. Enter your API key in the **Header: token** text box (top right).
>    * You can **[get a free API key here](https://docs.blockdaemon.com/docs/quick-start-blockdaemon-api-suite)** .
> 2. Click **Try It!**.

***

<Callout icon="➡️" theme="default">
  ### What's Next?

  Go to **[Get the Protocol Info](https://docs.blockdaemon.com/reference/getprotocolendpoints)** to get a list of supported endpoints for a specific chain and network.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "3.0.0",
    "title": "Blockdaemon REST API",
    "description": "Blockdaemon REST API provides a RESTful and uniform way to access blockchain resources,\nwith a rich and reusable model across multiple protocols/cryptocurrencies.\n\n[Documentation](https://docs.blockdaemon.com/reference/rest-api-overview)\n\n### Currently supported protocols:\n\n* algorand\n  * mainnet\n* avalanche \n  * mainnet-c/testnet-c\n* bitcoin\n  * mainnet/testnet/testnet4\n* bitcoincash\n  * mainnet/testnet\n* dogecoin\n  * mainnet/testnet\n* ethereum\n  * mainnet/holesky/sepolia/hoodi\n* litecoin\n  * mainnet/testnet\n* near\n  * mainnet\n* optimism\n  * mainnet\n* polkadot\n  * mainnet/westend\n* polygon\n  * mainnet/amoy\n* solana\n  * mainnet/testnet\n* stellar\n  * mainnet/testnet\n* tezos\n  * mainnet\n* tron\n  * mainnet/nile\n* xrp\n  * mainnet\n\n### Pagination\nCertain resources contain a lot of data, more than what's practical\nto return for a single request.\nWith the help of pagination, the data is split across multiple responses.\nEach response returns a subset of the items requested, and a continuation token.\n\nTo get the next batch of items, copy the returned continuation token\nto the continuation query parameter and repeat the request with the new URL.\nIn case no continuation token is returned, there is no more data available.\n",
    "contact": {
      "name": "Blockdaemon",
      "email": "support@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "https://storage.googleapis.com/blockdaemon-app-static-images/marketing/PNG/dark-logo.png",
      "altText": "Blockdaemon logo"
    }
  },
  "x-readme": {
    "samples-languages": [
      "curl",
      "go",
      "javascript",
      "python",
      "node"
    ]
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/universal/{version}",
      "description": "Production server",
      "variables": {
        "version": {
          "enum": [
            "v1"
          ],
          "default": "v1"
        }
      }
    },
    {
      "url": "https://ubiquity.api.blockdaemon.com/{version}",
      "description": "[Legacy Auth] Production server",
      "variables": {
        "version": {
          "enum": [
            "v1"
          ],
          "default": "v1"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Protocol and Endpoint Support"
    }
  ],
  "security": [
    {
      "apiKeyAuthHeader": []
    },
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/": {
      "get": {
        "summary": "Get the Protocols Overview",
        "operationId": "GetProtocolsList",
        "tags": [
          "Protocol and Endpoint Support"
        ],
        "description": "Returns a full list of all supported protocols and networks.\n",
        "responses": {
          "200": {
            "description": "Protocols overview",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/protocols_overview"
                },
                "example": {
                  "protocols": [
                    {
                      "handle": "algorand",
                      "network": "mainnet"
                    },
                    {
                      "handle": "avalanche",
                      "network": "mainnet-c"
                    },
                    {
                      "handle": "avalanche",
                      "network": "testnet-c"
                    },
                    {
                      "handle": "bitcoin",
                      "network": "mainnet"
                    },
                    {
                      "handle": "bitcoin",
                      "network": "testnet"
                    },
                    {
                      "handle": "bitcoincash",
                      "network": "mainnet"
                    },
                    {
                      "handle": "bitcoincash",
                      "network": "testnet"
                    },
                    {
                      "handle": "dogecoin",
                      "network": "mainnet"
                    },
                    {
                      "handle": "dogecoin",
                      "network": "testnet"
                    },
                    {
                      "handle": "ethereum",
                      "network": "holesky"
                    },
                    {
                      "handle": "ethereum",
                      "network": "hoodi"
                    },
                    {
                      "handle": "ethereum",
                      "network": "sepolia"
                    },
                    {
                      "handle": "ethereum",
                      "network": "mainnet"
                    },
                    {
                      "handle": "litecoin",
                      "network": "mainnet"
                    },
                    {
                      "handle": "litecoin",
                      "network": "testnet"
                    },
                    {
                      "handle": "near",
                      "network": "mainnet"
                    },
                    {
                      "handle": "optimism",
                      "network": "mainnet"
                    },
                    {
                      "handle": "polkadot",
                      "network": "mainnet"
                    },
                    {
                      "handle": "polkadot",
                      "network": "westend"
                    },
                    {
                      "handle": "polygon",
                      "network": "mainnet"
                    },
                    {
                      "handle": "polygon",
                      "network": "amoy"
                    },
                    {
                      "handle": "solana",
                      "network": "mainnet"
                    },
                    {
                      "handle": "solana",
                      "network": "testnet"
                    },
                    {
                      "handle": "stellar",
                      "network": "mainnet"
                    },
                    {
                      "handle": "stellar",
                      "network": "testnet"
                    },
                    {
                      "handle": "tezos",
                      "network": "mainnet"
                    },
                    {
                      "handle": "xrp",
                      "network": "mainnet"
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedError"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          },
          "503": {
            "$ref": "#/components/responses/ServiceUnavailable"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "apiKeyAuthHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key",
        "description": "Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      },
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "Opaque",
        "description": "[Legacy Auth] Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      }
    },
    "responses": {
      "TooManyRequests": {
        "description": "Rate limit exceeded",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "too-many-requests",
              "title": "Too Many Requests",
              "status": 429,
              "detail": "Request rate limits have been exceeded. Try again after a few seconds."
            }
          }
        }
      },
      "UnauthorizedError": {
        "description": "Invalid or expired token",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "unauthorized",
              "title": "Invalid Token",
              "status": 401
            }
          }
        }
      },
      "ServerError": {
        "description": "An internal server error happened",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "internal-server-error",
              "title": "Internal Server Error",
              "status": 500
            }
          }
        }
      },
      "ServiceUnavailable": {
        "description": "The resource you are trying to access is currently unavailable",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "unavailable",
              "title": "Unavailable",
              "status": 503
            }
          }
        }
      }
    },
    "schemas": {
      "error": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "The HTTP error type.",
            "example": "bad-request"
          },
          "code": {
            "type": "integer",
            "description": "The numeric error code.",
            "example": 16384
          },
          "title": {
            "type": "string",
            "description": "The short error description.",
            "example": "Invalid Address"
          },
          "status": {
            "type": "integer",
            "description": "The HTTP status of the error.",
            "example": 400
          },
          "detail": {
            "type": "string",
            "description": "Long error description",
            "example": "The requested address is invalid on this protocol."
          }
        }
      },
      "protocols_overview": {
        "type": "object",
        "properties": {
          "protocols": {
            "type": "array",
            "description": "List of items each describing a pair of supported protocol and network.",
            "items": {
              "type": "object",
              "properties": {
                "handle": {
                  "type": "string",
                  "description": "The protocol name.",
                  "example": "bitcoin"
                },
                "network": {
                  "type": "string",
                  "description": "The network type, i.e., mainnet, testnet, etc.",
                  "example": "mainnet"
                }
              }
            }
          }
        }
      }
    }
  }
}
```